# POC using TFT and Seeeduino for displaying image

We thought that the SPI was not speed enough to display image without latency. Here is a fast snippet that shows it is possible on seeeduino board.